Bug 1285898 - [abrt] webkitgtk4: convert_a8r8g8b8(): WebKitWebProcess killed by SIGSEGV
[abrt] webkitgtk4: convert_a8r8g8b8(): WebKitWebProcess killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pixman (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:833521fb704a60fcd78864f727a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-26 17:46 EST by Matteo Settenvini
Modified: 2016-12-20 11:19 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:19:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (134.02 KB, text/plain)
2015-11-26 17:46 EST, Matteo Settenvini
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-26 17:46 EST, Matteo Settenvini
no flags Details
File: core_backtrace (27.14 KB, text/plain)
2015-11-26 17:46 EST, Matteo Settenvini
no flags Details
File: dso_list (16.00 KB, text/plain)
2015-11-26 17:46 EST, Matteo Settenvini
no flags Details
File: environ (1.84 KB, text/plain)
2015-11-26 17:46 EST, Matteo Settenvini
no flags Details
File: exploitable (93 bytes, text/plain)
2015-11-26 17:46 EST, Matteo Settenvini
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-26 17:47 EST, Matteo Settenvini
no flags Details
File: maps (81.12 KB, text/plain)
2015-11-26 17:47 EST, Matteo Settenvini
no flags Details
File: mountinfo (3.54 KB, text/plain)
2015-11-26 17:47 EST, Matteo Settenvini
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-26 17:47 EST, Matteo Settenvini
no flags Details
File: open_fds (3.89 KB, text/plain)
2015-11-26 17:47 EST, Matteo Settenvini
no flags Details
File: proc_pid_status (1.00 KB, text/plain)
2015-11-26 17:47 EST, Matteo Settenvini
no flags Details

  None (edit)
Description Matteo Settenvini 2015-11-26 17:46:42 EST
Version-Release number of selected component:
webkitgtk4-2.10.4-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/webkit2gtk-4.0/WebKitWebProcess 18
crash_function: convert_a8r8g8b8
executable:     /usr/libexec/webkit2gtk-4.0/WebKitWebProcess
global_pid:     30918
kernel:         4.2.6-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 convert_a8r8g8b8 at pixman-fast-path.c:3077
 #1 bits_image_fetch_separable_convolution_affine at pixman-fast-path.c:2804
 #2 bits_image_fetch_separable_convolution_affine_pad_a8r8g8b8 at pixman-fast-path.c:3150
 #3 general_composite_rect at pixman-general.c:220
 #4 pixman_image_composite32 at pixman.c:700
 #5 composite_boxes at cairo-image-compositor.c:538
 #6 composite_aligned_boxes at cairo-spans-compositor.c:683
 #7 clip_and_composite_boxes at cairo-spans-compositor.c:882
 #9 _cairo_spans_compositor_fill at cairo-spans-compositor.c:1126
 #10 _cairo_compositor_fill at cairo-compositor.c:203
Comment 1 Matteo Settenvini 2015-11-26 17:46:47 EST
Created attachment 1099474 [details]
File: backtrace
Comment 2 Matteo Settenvini 2015-11-26 17:46:49 EST
Created attachment 1099475 [details]
File: cgroup
Comment 3 Matteo Settenvini 2015-11-26 17:46:52 EST
Created attachment 1099476 [details]
File: core_backtrace
Comment 4 Matteo Settenvini 2015-11-26 17:46:56 EST
Created attachment 1099477 [details]
File: dso_list
Comment 5 Matteo Settenvini 2015-11-26 17:46:57 EST
Created attachment 1099478 [details]
File: environ
Comment 6 Matteo Settenvini 2015-11-26 17:46:59 EST
Created attachment 1099479 [details]
File: exploitable
Comment 7 Matteo Settenvini 2015-11-26 17:47:01 EST
Created attachment 1099480 [details]
File: limits
Comment 8 Matteo Settenvini 2015-11-26 17:47:04 EST
Created attachment 1099481 [details]
File: maps
Comment 9 Matteo Settenvini 2015-11-26 17:47:05 EST
Created attachment 1099482 [details]
File: mountinfo
Comment 10 Matteo Settenvini 2015-11-26 17:47:07 EST
Created attachment 1099483 [details]
File: namespaces
Comment 11 Matteo Settenvini 2015-11-26 17:47:08 EST
Created attachment 1099484 [details]
File: open_fds
Comment 12 Matteo Settenvini 2015-11-26 17:47:10 EST
Created attachment 1099485 [details]
File: proc_pid_status
Comment 13 Erick Omar Delgado 2016-01-09 21:22:19 EST
Another user experienced a similar problem:

While browsing http://mackie.com/products/onyx-blackbird I was scrolling down to view more information and the browser tab crashed.

Steps
Go to http://mackie.com/products/onyx-blackbird or http://mackie.com/products/ppm-series
Scroll down (Pg Down, etc.)
The page freezes and crashes the browser tab

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/webkit2gtk-4.0/WebKitWebProcess 22
crash_function: convert_a8r8g8b8
executable:     /usr/libexec/webkit2gtk-4.0/WebKitWebProcess
global_pid:     6625
kernel:         4.2.8-300.fc23.x86_64
package:        webkitgtk4-2.10.4-1.fc23
reason:         WebKitWebProcess killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Fedora End Of Life 2016-11-24 08:46:15 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 11:19:59 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.